Page MenuHomePhabricator

Wikimetrics backup has no monitoring
Closed, DeclinedPublic

Description

Wikimetrics backup has no monitoring

Monitoring ad minimum should be piping the cron output to the analytics-internal@ e-mail list. Or, if that is too spamy to our personal inboxes.


Version: unspecified
Severity: enhancement

Details

Reference
bz69397

Related Objects

Event Timeline

bzimport raised the priority of this task from to Unbreak Now!.Nov 22 2014, 3:38 AM
bzimport set Reference to bz69397.
bzimport added a subscriber: Unknown Object (MLST).
Nuria created this task.Aug 11 2014, 1:03 PM
Nuria lowered the priority of this task from Unbreak Now! to Normal.Dec 29 2014, 3:21 PM
Nuria set Security to None.
Dzahn added a subscriber: Dzahn.Mar 27 2015, 9:20 PM

Would you be interested in having this added to Operations Icinga?

The backup routinely fails recently. I thought the fact that wikimetrics runs in labs disqualifies it from being monitored by Icinga. But if it doesn't, we should fix the underlying problems that are causing backup to fail regularly, and then we should start monitoring it properly.

Dzahn added a comment.Apr 7 2015, 11:38 PM

How do you manually identify a fail currently? does this mean checking a logfile for patterns? checking the timestamp of files?

Nuria added a comment.Apr 8 2015, 2:09 AM

@Dzahn: we know when things are not working cause the cronjob notifies us of the error

mforns closed this task as Declined.Mar 26 2019, 2:01 PM
mforns added a subscriber: mforns.

Declining because Wikimetrics is being discontinued. See: T211835.

Restricted Application added a project: Analytics. · View Herald TranscriptMar 26 2019, 2:01 PM